<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Ordenes/ordenes.php");
include("logos.php");
$nombrepagina = "INFORME POR MENSAJEROS - ORDENES";
encabezado($target);

unset($_SESSION['columnas']);
unset($_SESSION['instr_mysql']);
unset($instr_mysql);
unset($_SESSION['mysql_arr']);
unset($columnas);
$columnas[]="ORDEN";
$columnas[]="MENSAJERO";
$columnas[]="PLANILLADAS";
$columnas[]="ENTREGADAS";
$columnas[]="DEVOLUCION";
$columnas[]="PENDIENTES";
$_SESSION['columnas']=$columnas;
$user=$_SESSION['validar'];
$_cli=$_SESSION['cliente'];
$tamano_pagina=20;
$_SESSION['tam']=$tamano_pagina;
$pagina = $_GET["pagina"];
$usu=$_GET['id_user'];
$f1=$_GET['f1'];
$f2=$_GET['f2'];
$operador=$_GET['mensajero'];
$cliente=$_GET['cliente'];

$idsuc=$_GET['suc'];
if(!$pagina){
	$inicio=0;
	$_SESSION['inicio']=$inicio;
	$pagina=1;
}else{
	$inicio=($pagina-1)*$tamano_pagina;
	$_SESSION['inicio']=$inicio;
}
$filas=1;
if($filas == 1)
{
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);

	$perfil=$_SESSION['perfil'];
	if($perfil==1){
		$pregunta="";
	}else{
		$pregunta=" and id_cliente='".$_cli."'";
	}

	$var_ods='';
	$var_mns='';

	$cnx_mysql= new conexion();
	$cnx_mysql->conectarse();
	$and_msn='';
	$and_cli='';
	$n_mensajero='';
	$n_cliente='';
	
		
	
	if (!empty($operador)){
		$and_msn=" and a.id_mensajero='".$operador."'";	
		$retor=$cnx_mysql->consultar("select nombre from mensajeros where id_mensajero='".$operador."'")	;
		$fila=mysql_fetch_row($retor);
		$n_mensajero="Mensajero: ".$fila[0];
	}

	if (!empty($cliente)){
		$and_cli=" and a.id_cliente='".$cliente."'";	
		$retor=$cnx_mysql->consultar("select nombre from clientes where id_cliente='".$cliente."'");
		$fila=mysql_fetch_row($retor);
		$n_cliente="Cliente: ".$fila[0];		
	}
	
	
	$sql_pagin="SELECT b.orden,count(b.guia) as entregadas
from rastreo_guias as b inner join guias_proceso as a
on a.guia=b.guia where ((date(b.F14)>='".$f1."' AND date(b.F14)<='".$f2."')
OR (date(b.F15)>='".$f1."' AND date(b.F15)<='".$f2."'))".$and_msn.$and_cli." group by b.orden,a.id_mensajero";
//	echo $sql_pagin;
if (!$ban_pag){
$cursor_paginas=$cnx_mysql->consultar($sql_pagin);	
$cant=mysql_num_rows($cursor_paginas);	
}else {
	$cant=$ban_pag;
}
	$sql_tot="SELECT a.orden,c.nombre as mensajero,space(4) as planilladas,count(a.guia) as entregadas
			 ,space(4) as devoluciones,space(4) as pendientes,a.id_mensajero,space(4) as reenvios 
			from guias_proceso as a inner join mensajeros as c on a.id_mensajero=c.id_mensajero
			inner join rastreo_guias as b on a.guia=b.guia
			where ((date(b.F14)>='".$f1."' AND date(b.F14)<='".$f2."')
			OR (date(b.F15)>='".$f1."' AND date(b.F15)<='".$f2."'))".$and_msn.$and_cli." 
			group by a.orden,a.id_mensajero order by a.orden,mensajero LIMIT $inicio,$tamano_pagina";
	//$instr_mysql=$sql_tot;
	$_SESSION['instr_mysql']="SELECT a.orden,c.nombre as mensajero,space(4) as planilladas,count(a.guia) as entregadas
			 ,space(4) as devoluciones,space(4) as pendientes,a.id_mensajero,space(4) as reenvios 
			from guias_proceso as a inner join mensajeros as c on a.id_mensajero=c.id_mensajero
			inner join rastreo_guias as b on a.guia=b.guia
			where ((date(b.F14)>='".$f1."' AND date(b.F14)<='".$f2."')
			OR (date(b.F15)>='".$f1."' AND date(b.F15)<='".$f2."'))".$and_msn.$and_cli." 
			group by a.orden,a.id_mensajero order by a.orden,mensajero";
	//echo '<br>'.$sql_tot;
	$cursor=$cnx_mysql->consultar($sql_tot);		
	
	
?>
<CENTER>

<table width="100%" border="0" class="primaria">
<tr>
<td colspan="9" align="center">
</td>
</tr>
<tr>
<td colspan="9" align="center">
<? echo "<FONT color='#F3250A'>DESDE: </FONT><FONT color='#308DC7'>";
if($f1==''){
	echo "0000-00-00";
}else{
	echo $f1;
}
echo "</FONT>";?>
</td>
</tr>
<tr>
<td colspan="9" align="center">
<? echo "<FONT color='#F3250A'>HASTA: </FONT><FONT color='#308DC7'>";
if($f2==''){
	echo "0000-00-00";
}else{
	echo $f2;
}
echo "</FONT>";
echo '<br>'.$n_mensajero.'<br>';
echo $n_cliente;
?>

</td>
</tr>

<tr>
<td colspan="9"><div align="LEFT">
<a href='generar_nomina.php?suc=<?echo $idsuc;?>&id_user=<?echo $usu;?> class='mainlevel'><b>REGRESAR</b></a>		
</div></td>
</tr>


<tr class=miTable_tr>
<td colspan="9" class=miTable_th1><div align="center">..:: REGISTROS ENCONTRADOS <?ECHO $cant; ?> ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="9" class=miTable_td><div align="left">
<a href='exporta_nomina_total.php' title='Exportar XLS' target="_blank"><img src='imagenes/xls_icon.gif'>
Exportar Informe a Excel</a>
</td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="60">ORDEN</td>
<td valign=top class=miTable_th1 width="200">MENSAJERO</td>
<td valign=top class=miTable_th1 width="60">PLANILLADAS</td>
<td valign=top class=miTable_th1 width="60">ENTREGADAS</td>
<td valign=top class=miTable_th1 width="60">DEVOLUCION</td>
<td valign=top class=miTable_th1 width="60">PENDIENTES</td>
<td valign=top class=miTable_th1 width="60">REENVIOS</td>
<td valign=top class=miTable_th1 width="100"><div align="center">ACCION</div></td>
</tr>
</tr>
<div align="center">
<?
if(mysql_num_rows($cursor)<=0){

}else{	
	$total_paginas= ceil($cant/$tamano_pagina);	
	while($arr_total=mysql_fetch_array($cursor)){
		$var_ods=trim($arr_total[0]);
		$var_mns=trim($arr_total[6]);
		////consulta para sacar los planillados a este mensajero sin importar la planilla.
		////se almacena el dato en el arreglo de la consulta total.
		//$arr_sql="select count(guia) as cantidad from guias_proceso where orden=10 and id_mensajero=1";
		$arr_sql="select count(guia) as cantidad from guias_proceso where orden='".$var_ods."' and id_mensajero='".$var_mns."'";
		$cur_arr=$cnx_mysql->consultar($arr_sql);
		$row_arr=mysql_fetch_array($cur_arr);
		$arr_total[2]=$row_arr[0];

		/////conuslta para sacar los envios ke estan en devolucion.
		/////se almacena el dato en el arreglo de la consulta principal.
		$arr_sql="select count(guia) as cantidad from guias_proceso where orden='".$var_ods."' and id_mensajero='".$var_mns."'
						and id_estado='16'";			
		$cur_arr=$cnx_mysql->consultar($arr_sql);
		$row_arr=mysql_fetch_array($cur_arr);
		$arr_total[4]=$row_arr[0];


		/////consulta para sacar los envios pendientes en estado zona de reparto
		/////se almacena el dato en el arreglo de la consulta principal.
		$arr_sql="select count(guia) as cantidad from guias_proceso where orden='".$var_ods."' and id_mensajero='".$var_mns."'
						and id_estado='13'";			
		$cur_arr=$cnx_mysql->consultar($arr_sql);
		$row_arr=mysql_fetch_array($cur_arr);
		$arr_total[5]=$row_arr[0];
		
		
		/////consulta para sacar los reenvios 
		/////se almacena el dato en el arreglo de la consulta principal.
		$arr_sql="select distinct(guia) from reenvio where orden='".$var_ods."' and id_mensajero='".$var_mns."'";			
		$cur_arr=$cnx_mysql->consultar($arr_sql);
		$row_arr=mysql_numrows($cur_arr);
		$arr_total[7]=$row_arr;
		
		

		echo "<tr class=miTable_tr>";
		echo "<td valign=top class=miTable_td>".$arr_total[0]."</td>";
		echo "<td valign=top class=miTable_td>".$arr_total[1]."</td>";
		echo "<td valign=top class=miTable_td>".$arr_total[2]."</td>";
		echo "<td valign=top class=miTable_td>".$arr_total[3]."</td>";
		echo "<td valign=top class=miTable_td>".$arr_total[4]."</td>";
		echo "<td valign=top class=miTable_td>".$arr_total[5]."</td>";		
		echo "<td valign=top class=miTable_td>".$arr_total[7]."</td>";		
		echo "<td valign=middle class=miTable_td>";		
		echo "<a href='ver_detalle_nomina.php?pord=$arr_total[0]&pmsn=$arr_total[6]&fec1=$f1&fec2=$f2&id_user=$id_user&suc=$idsuc' target='_blank'>
			Ver Detalles</a> ";
		//echo "<td valign=middle class=miTable_td>";
		echo " <a href='exporta_detalle_nomina.php?pord=$arr_total[0]&pmsn=$arr_total[6]&fec1=$f1&fec2=$f2&id_user=$id_user&suc=$idsuc' target='_blank' title='Exportar XLS'> <img src='imagenes/xls_icon.gif'></a> ";
		"</td>";
	}	
}
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="11">
<div align="center">
<?
if($total_paginas>1)
{   echo "Paginas:";
//echo "&nbsp;&nbsp;";
$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
if ($start > 1 ){
	print "&nbsp;<a href='nomina_mensajeros.php?pagina=".($start-1)."&id_user=$id_user&suc=$idsuc&f1=$f1&f2=$f2&mensajero=$operador&tabla=$tabla&ban_pag=$cant&cliente=$cliente&mensajero=$operador> << </A>";
}
for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
	if($pagina == $start+$i){
		print "&nbsp;&nbsp;".($start+$i);
	}else{
		print "&nbsp;&nbsp;<a href='nomina_mensajeros.php?pagina=".($start+$i)."&id_user=$id_user&suc=$idsuc&f1=$f1&f2=$f2&mensajero=$operador&tabla=$tabla&ban_pag=$cant&cliente=$cliente&mensajero=$operador'>". ($start+$i)." </A>";
	}
}
if($start+$i < $total_paginas){
	print "&nbsp;&nbsp;<a href='nomina_mensajeros.php?pagina=".($start+$i)."&id_user=$id_user&suc=$idsuc&f1=$f1&f2=$f2&mensajero=$operador&tabla=$tabla&ban_pag=$cant&cliente=$cliente&mensajero=$operador'> >> </A>";

}
print "&nbsp;&nbsp;<a href='nomina_mensajeros.php?pagina=1&id_user=$id_user&suc=$id_sucursal&f1=$f1&f2=$f2&mensajero=$operador&tabla=$tabla&ban_pag=$cant&cliente=$cliente&mensajero=$operador'>Primera P&aacute;gina</A>";
print "&nbsp;&nbsp;<a href='nomina_mensajeros.php?pagina=".($total_paginas)."&id_user=$id_user&suc=$idsuc&f1=$f1&f2=$f2&mensajero=$operador&tabla=$tabla&ban_pag=$cant&cliente=$cliente&mensajero=$operador'>&Uacute;ltima P&aacute;gina</A>";
}
?></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="11">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $idsuc?>'>
<input type='hidden' name='tabla' value='<? echo $tabla?>'>
<input type='hidden' name='f1' value='<? echo $f1?>'>
<input type='hidden' name='f2' value='<? echo $f2?>'>
<input type='hidden' name='cliente' value='<? echo $cliente?>'>
<input type='hidden' name='mensajero' value='<? echo $operador?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</div>
</td>
</tr>
</table> 
</CENTER>

	 <?
	 mostrar_pie();
}
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
	?>
	 <td>
	  <center>
	  <? pie_de_pagina();?>
	  </center>
	 </td>
	<?php
	echo"</tr>";
	echo"</tbody></table>";

	echo"</center>";
	echo"</body>";
	echo"</html>";

?>


